PrinterInfo (Java SE 13 & JDK 13 )
Description: declaration: module: java.desktop, package: javax.print.attribute.standard, class: PrinterInfo
Keywords: javax.print.attribute.standard.PrinterInfo class

Module java.desktop
Package javax.print.attribute.standard

# Class PrinterInfo

java.lang.Object
javax.print.attribute.TextSyntax
javax.print.attribute.standard.PrinterInfo

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Attribute`, `PrintServiceAttribute`

    public final class PrinterInfo
    extends TextSyntax
    implements PrintServiceAttribute

Class `PrinterInfo` is a printing attribute class, a text attribute, that provides descriptive information about a printer. This could include things like: `"This printer can be used for printing color transparencies for HR presentations"`, or `"Out of courtesy for others, please print only small (1-5 page) jobs at this printer"`, or even `"This printer is going away on July 1, 1997, please find a new printer"`.

IPP Compatibility: The string value gives the IPP name value. The locale gives the IPP natural language. The category name returned by `getName()` gives the IPP attribute name.

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `PrinterInfo​(String info, Locale locale)` | Constructs a new printer info attribute with the given information string and locale.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `equals​(Object object)` | Returns whether this printer info attribute is equivalent to the passed in object.
  `Class<? extends Attribute>` | `getCategory()` | Get the printing attribute class which is to be used as the "category" for this printing attribute value.
  `String` | `getName()` | Get the name of the category of which this attribute value is an instance.

  ### Methods declared in class javax.print.attribute.TextSyntax

  `getLocale, getValue, hashCode, toString`

  ### Methods declared in class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PrinterInfo

    public PrinterInfo​(String info, Locale locale)
    Constructs a new printer info attribute with the given information string and locale.
    Parameters:
      `info` - printer information string
      `locale` - natural language of the text string. `null` is interpreted to mean the default locale as returned by `Locale.getDefault()`
    Throws:
      `NullPointerException` - if `info` is `null`

- ## Method Details

  - ### equals

    public boolean equals​(Object object)
    Returns whether this printer info attribute is equivalent to the passed in object. To be equivalent, all of the following conditions must be true:
    1. `object` is not `null`.
    2. `object` is an instance of class `PrinterInfo`.
    3. This printer info attribute's underlying string and `object`'s underlying string are equal.
    4. This printer info attribute's locale and `object`'s locale are equal.
    Overrides:
      `equals` in class `TextSyntax`
    Parameters:
      `object` - `Object` to compare to
    Returns:
      `true` if `object` is equivalent to this printer info attribute, `false` otherwise
    See Also:
      `Object.hashCode()`, `HashMap`

  - ### getCategory

    public final Class<? extends Attribute> getCategory()
    Get the printing attribute class which is to be used as the "category" for this printing attribute value.

    For class `PrinterInfo`, the category is class `PrinterInfo` itself.

    Specified by:
      `getCategory` in interface `Attribute`
    Returns:
      printing attribute class (category), an instance of class `java.lang.Class`

  - ### getName

    public final String getName()
    Get the name of the category of which this attribute value is an instance.

    For class `PrinterInfo`, the category name is `"printer-info"`.

    Specified by:
      `getName` in interface `Attribute`
    Returns:
      attribute category name